Name: mastergear-x
Summary: The Sega MasterSystem (Mark 3) and GameGear emulator with full X support
Version: 1.0
Release: 1
Copyright: Unknown
Group: X11/Games/Video
Source0: http://www.komkon.org/fms/MG/MG.tar.Z
Source1: http://elektron.et.tudelft.nl/~jdegoede/mg-1.0-patch-v1.tgz
Patch: mastergear-x-1.0-makefile.patch
URL: http://www.komkon.org/fms/MG/
Packager: Anthony Y.P. Wong <ypwong@poboxes.com>
Buildroot: /tmp/mastergear-x-root

%description 
MasterGear is a portable emulator of two SEGA game consoles: the old
MasterSystem (known as Mark3 in Japan) and the portable GameGear which
is basically an improved MasterSystem in a smaller package.

This version runs in any colour depth in X with a scalable window,
and joystick is supported.

This version obsoletes the mastergear-16bit RPM.


%changelog

* Thu Jul 16 1998 Anthony Wong <ypwong@poboxes.com>

- Initial release
- Used the cleaned up svgalib patch by Hans de Goede
  <j.w.r.degoede@et.tudelft.nl>


%prep
%setup -n SMS
%setup -T -D -a 1 -n SMS
cd $RPM_BUILD_DIR/SMS
patch -p1 < mg.patch
%patch -p1

%build
make mg

%install
install -o root -g root -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -s -o root -g root -m755 mg $RPM_BUILD_ROOT/usr/X11R6/bin/mg-x

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%doc MG.doc SMS.doc readme.patch
/usr/X11R6/bin/mg-x
